# Deploying Dumb Ideas with Dokku

A talk describing how we can easily deploy applications with Dokku using a simple
VPS and doing some DNS work.

* What is deployment when it comes to the web?
* Talk about the VPS, how it works
* Install Dokku the service on the VPS
* Talk about the DNS setup
* Do a cost breakdown

Deploy the talk on the blog as well

## The Dumb Idea

A simple Chat application built with Hono and Mithril.js

## Talk About the History

What was my first deployment?

Using the file manager in cPanel.
Then using SVN on the server.
Upgrading to Git, on the server.
A lot WHM

Developing with Vagrant and virtual machines

Moving to AWS, EC2
Using VPS providers like DigitalOcean

Building Container images

## What is Deployment

What does a node.js application look like?
Running express.js as a service on the server
Maybe have a reverse proxy for the web service

Deploying the code in place, take the service down or deploy on another port
and update the nginx config to point to the new service

DNS, and how DNS plays a role in pointing the domain to the server

show some diagrams

Talk about the SSL cert situation
Talk about building VM images or containers for deployment

"What about K8s?" I don't know or really care, honestly

## What does Dokku do for us?

Reverse proxy
SSL certificates
Deploys the containers defined in the `Dockerfile`

Simple `git push` for deploying to Dokku

"Is deploying actually hard? Depends"

## Deploy

* Create the application and domain
* Deploy the application to Dokku
* Get everyone to look at it 







